package logic;

import java.io.Serializable;
import java.util.Random;

/**
 * The building class for Spells, simple user
 * @author Jens
 *
 */
public class Spell implements Serializable{
	private static final long serialVersionUID = 1L;
	private final int spread, value;
	private final char complexity;
	private final String tokens;
	private final String name;
	
	/**
	 * Constructor, generate Spell with tokens and value from 2 to 8
	 * @param name
	 * @param complexity
	 * @param spread
	 * @param token1
	 */
	public Spell(String name, char complexity, int spread, String tokens){
		this.value = new Random().nextInt(6)+2;
		this.tokens = tokens;
		this.name=name;
		this.complexity=complexity;
		this.spread=spread;
	}
	public int getSpread() {
		return spread;
	}
	public char getComplexity() {
		return complexity;
	}
	public String getTokens() {
		return this.tokens;
	}
	public String getName() {
		return this.name;
	}
	
	public String toString(){
		return this.name+" (Komplexitt "+this.complexity+", Verbreitung "+this.spread+") bis ZfW "+this.value+"\n";
	}

}
