package logic;

import java.io.Serializable;
import java.util.*;

public class Topic implements Serializable{
	private static final long serialVersionUID = 1L;
	private final ArrayList<String> tokens;
	private final String mainTopic;
	
	public Topic(){
		ArrayList<String> topics = new ArrayList<String>();
		topics.add("der weien Magie!!vers,anti");
		topics.add("der schwarzen Magie!!besw,dmo,herr");
		topics.add("des magischen Schlafes!!einf");
		topics.add("der Nekromantie!!dmo");
		topics.add("der Beherrschung!!herr,einf");
		topics.add("der Wahnbilder!!illu,hell");
		topics.add("des Gedankenlesens!!hell,vers");
		topics.add("der Fluchmagie!!scha,form,dmo");
		topics.add("der Exorzismen!!anti,geis");
		topics.add("der Invokationen!!besw,herb");
		topics.add("der magischen Zerstrung!!scha,elemFeuer");
		topics.add("der Formvernderung!!form,objk");
		topics.add("der Elementarmagie!!elemErz,elem,elemEis");
		topics.add("der Gestaltwandlung!!form,heil");
		topics.add("der Objektmagie!!objk,temp");
		topics.add("der Hellseherei!!hell,vers");
		topics.add("der magischen Illusionen!!illu,tele");
		topics.add("der Gegenzauber!!anti,umwt");
		topics.add("der Dmonologie!!dmo,geis");
		topics.add("der Verwandlung!!form,heil,temp,krft");
		topics.add("der Artefaktmagie!!objk");
		topics.add("der Alchimie!!vers");
		topics.add("der Verzauberungen!!form,heil,elemLuft,elemWasser,elemErz,krft,eign");
		topics.add("der Schutz- und Nutzzauber!!anti,eign,form,krft,temp");
		topics.add("der Hexerei!!objk,scha,krft");
		topics.add("der magischen Analyse!!hell,krft");
		topics.add("der Phantasmagorien!!illu,vers");
		topics.add("der Geisterbeschwrungen!!geis,dmo,herb");
		topics.add("der geisitigen Beeinflussung!!einf,herr");
		topics.add("der Metamorphosen!!form,heil");
		topics.add("der magischen Belebung!!heil,form");
		topics.add("der Wettermagie!!umwt");
		topics.add("der Liebeszauber!!einf");
		topics.add("der unsichtbaren Wirklichkeit!!hell,tele,einf,form");
		topics.add("der magischen Heilung!!heil,anti");
		topics.add("der Translokationen!!tele,dmo");
		topics.add("der Orakel!!hell,objk,vers");
		topics.add("der verzauberten Orte!!umwt,herb");
		topics.add("des Unergrndlichen!!besw");
		
		int topicsrandom = new Random().nextInt(20)+new Random().nextInt(20);
		String[] divided = topics.get(topicsrandom).split("!!"); 
		this.mainTopic = divided[0];
		this.tokens = new ArrayList<String>();
		String[] newTokens = divided[1].split(",");
		for (String string : newTokens){
			tokens.add(string);
		}
	}

	public ArrayList<String> getTokens() {
		return tokens;
	}

	public String getMainTopic() {
		return mainTopic;
	}
}
