package regions;

import java.util.*;

public class Southern {
	private String firstName,lastName;
	private String firstNamesFemale = "Adaque,Alara,Avessandra,Balatravis,Boronaya,Carimina,Consuela,Desiderya,Diantha,Dolorita,Dominga,Emerencia,Esmeralda,Fiorella,Galindia,Heliantha,Imelde,lnares,Tesabela,Karianna,Katalinya,Konasson,Luisina,Maryarita,Marchesca,Morisca,Nicolasina,Oralia,Phelicitas,Phelippa,Praiociose,Querinia,Rahjades,Rayades,Rosinia,Saranya,Tomassina,Ugolines,Ulembina,Ursania,Vadoria,Valerfa,Xantilia,Ximena,Yvonya,Zalines,Zephirina,Zeradia";
	private String firstNamesMale = "Adario,Agusto,Alondro,Alriego,Amirato,Boromeo,Coragon,Diago,Diamantes,Dorio,Efferdito,Egiliano,Enrisco,FiorenZO,Firunando.Flaminio,Gaiomo,Ghorio,Gardo,Hesindiego,Imaculo,Ingarin,Jesidoro,Kamillio,Khalid,Koloman,Lirobal,Lucan,Mandolo,Marbosa,Marna,Micirio,Morisys,Nestario,Nostro~,mo,Orelio,Panfilo,Pedresco,Praiopio,Quintilian,Ramon,Romero,Rondrigo,Salpico,Sandro,Simoda,Tirato,Trienco,Tito,Ulan,Vitario,Xenofero,Yorge,Yuan,Zurbaran";
	private String lastNames = "Anthos,Beratas,Cornio,Delazar,Erabenas,Fontanoya,Fiovarez,Gonralas,Gredo,Inezano,Jacobella,Kalando,Lupinez,Malagro,Monterey,Nirrano,Olibantin,Piriones,Queseda,Ramirez,Rivito(z),Rondriguez,Salmoranes,Santana,Tiamartin,Uludaz";
	
	/**
	 * Constructs southerns with doublenames
	 * @param girl is it a girl?
	 */
	public Southern(boolean girl){
		if(girl){
			String[] names = this.firstNamesFemale.split(",");
			String firstFirstName = names[new Random().nextInt(names.length)];
			this.firstName = firstFirstName + " " + noEqualSecondName(firstFirstName);
		}
		else{
			String[] names = this.firstNamesMale.split(",");
			String firstFirstName = names[new Random().nextInt(names.length)];
			this.firstName = firstFirstName + " " + noEqualSecondName(firstFirstName);
		}
		String[] lastnames = this.lastNames.split(",");
		this.lastName = lastnames[new Random().nextInt(lastnames.length)];
	}
	
	/**
	 * Makes sure, that the first and the second forename are not equal
	 * @param firstname
	 * @return
	 */
	private String noEqualSecondName(String firstname){
		String[] names = this.firstNamesFemale.split(",");
		String name = names[new Random().nextInt(names.length)];
		if(name.equals(firstname)){
			return noEqualSecondName(name);
		}
		else{
			return name;
		}
	}
	
	/**
	 * @return the name of the southern
	 */
	public String getName(){
		return this.firstName+" "+this.lastName;
	}
}
