package regions;

import java.util.*;

public class Horasian {
	
	private String firstName,middle,lastName;
	private String firstNamesFemale = "Aifingla,Aldare,Amene,Ardare,Avedane,Bardica,Beliena,Bonaventa,Carisia,Critiana,Cusmara,Daria,Dulacia,Elaria,Eronia,Fiaga,Festina,Fusca,Galigoa,Geronita,Gorrada,Gylvana,Hesindiane,Horanthe,Horasianne,Isida,Isindia,Ivica,Tanera,Tatane,Kusminela,Leme,Lovisa,Madanne,Marbis,Murina,Nevinia,Nerede,Nonica,Odina,Oswinia,Pamina,Piara,Purothea,Quilma,Quedora,Rahjamande,Rinilla,Rondria,Salkya,Sanya,Sharina,Surina,Thalya,Thalionmel,Umbeta,Uralin,Valtica,Vilmire,Yesaria,Yindica,Zerline,Zudra";
	private String firstNamesMale = "Abelmir,Acanio,Alonzo,Alricio,Baduin,Beppo,Beleno,Bonnaro,Callio,Carolan,Croenar,Curthan,Cusimo,Danino,Dapifer,Dartan,Debero,Duardo,Ecuvaro,Eolan,Fedesco,Folnor,Fusneldo,Geron,Gilmon,Hakaan,Hoberto,Horadan,Horathio,Ildebran,lIderico,lridias,Tacopo,Tucaro,Khadan,Kiaras,Kulmineo,Larecio,Lessandero,Ludolfo,Marbio,Melponeo,Mondino,Muthin,Muraco,Naramis,Nepolemo,Nesro,Olrucio,Orestas,Phedro,Pieno,Pirtho,Quendan,Quido,Quilamo,Rahjacomo,Rondrigo,Rudor,Sarastro,Silem,Sulvodan,Tamino,Tassilo,Thalio,Timor,Ulanio,Ulfaro,Umbario,Valberto,Veciano,Vero,Yalderico,Yerno,Yulag,Yulio,Zadalon,Zerbereo";
	private String lastNames = "Agricola,Anchusa,Arbalista,Ballurat,Berylli,Bosparanelli,Bosvani,Brigonetti,Capense,Caranda,Caravita,Castellani,Cornamusa,Damotil,Delicado,Dolcitane,Dolvarn,Durenald,Falconieri,Farfara,Fenestra,Gravura,Hortulani,Kalamal,Kureon,Marnion,Melior,Mercator,Nauta,Neander,Novacasa,Oreciette,Patara,Pelargon,Prosperi,Regotis,Rocambole,Salvian,Sarostes,Scarpone,Scriptatore,Serpolet,Spinola,Torrean,Trequona,Triffon,UIfaran,Vansanti,Vardeen";
	private String nameConnector = "da,ya,di,de,du";
	
	/**
	 * Constructs horasians with their strange doublenames
	 * @param girl is it a girl?
	 */
	public Horasian(boolean girl){
		if(girl){
			String[] names = this.firstNamesFemale.split(",");
			String firstFirstName = names[new Random().nextInt(names.length)];
			this.firstName = firstFirstName + " " + noEqualSecondName(firstFirstName);
		}
		else{
			String[] names = this.firstNamesMale.split(",");
			String firstFirstName = names[new Random().nextInt(names.length)];
			this.firstName = firstFirstName + " " + noEqualSecondName(firstFirstName);
		}
		String[] nameConnectors = this.nameConnector.split(",");
		this.middle = nameConnectors[new Random().nextInt(nameConnectors.length)];
		String[] lastnames = this.lastNames.split(",");
		this.lastName = lastnames[new Random().nextInt(lastnames.length)];
	}
	
	/**
	 * Makes sure, that the first and the second forename are not equal
	 * @param firstname
	 * @return
	 */
	private String noEqualSecondName(String firstname){
		String[] names = this.firstNamesFemale.split(",");
		String name = names[new Random().nextInt(names.length)];
		if(name.equals(firstname)){
			return noEqualSecondName(name);
		}
		else{
			return name;
		}
	}
	
	/**
	 * @return the name of the horasian
	 */
	public String getName(){
		return this.firstName+" "+this.middle+" "+this.lastName;
	}
	
}
